# JSXGraph 1.7.0 Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

Elements

Classes

- _global_
- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Boxplot
- Button
- Cardinalspline
- Chart
- Checkbox
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- CircumcircleSector
- Comb
- Conic
- Curve
- Curve3D
- CurveDifference
- CurveIntersection
- CurveUnion
- Derivative
- Ellipse
- ForeignObject
- Functiongraph
- Functiongraph3D
- Glider
- Grid
- Group
- Hatch
- Hyperbola
- Image
- ImplicitCurve
- Incenter
- Incircle
- Inequality
- Input
- Integral
- Intersection
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.Board.infobox
- JXG.C
- JXG.CA
- JXG.CanvasRenderer
- JXG.Chart
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.CoordsElement
- JXG.Curve
- JXG.Curve3D
- JXG.Dump
- JXG.EventEmitter
- JXG.Expect
- JXG.ForeignObject
- JXG.GeometryElement
- JXG.GeometryElement3D
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Legend
- JXG.Line
- JXG.Line3D
- JXG.Math
- JXG.Math.BoxQuadtree
- JXG.Math.Clip
- JXG.Math.Extrapolate
- JXG.Math.Geometry
- JXG.Math.ImplicitPlot
- JXG.Math.IntervalArithmetic
- JXG.Math.Metapost
- JXG.Math.Nlp
- JXG.Math.Numerics
- JXG.Math.Plot
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.ProbFuncs
- JXG.Math.Quadtree
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.NoRenderer
- JXG.Options
- JXG.Plane3D
- JXG.Point
- JXG.Point3D
- JXG.Polygon
- JXG.PrefixParser
- JXG.Server
- JXG.Server.modules
- JXG.Surface3D
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Transformation
- JXG.Turtle
- JXG.Util
- JXG.Util.Base64
- JXG.Util.Unzip
- JXG.Util.UTF8
- JXG.View3D
- JXG.VMLRenderer
- JXG.XML
- Label
- Legend
- Line
- Line3D
- Locus
- MajorArc
- MajorSector
- Measurement
- Metapostspline
- Midpoint
- MinorArc
- MinorSector
- mirrorelement
- Mirrorpoint
- NonReflexAngle
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelogram
- Parallelpoint
- ParametricSurface3D
- Perpendicular
- PerpendicularPoint
- PerpendicularSegment
- Point
- Point3D
- PolarLine
- PolePoint
- Polygon
- PolygonalChain
- RadicalAxis
- Reflection
- ReflexAngle
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Slopefield
- Slopetriangle
- Smartlabel
- Spline
- Stepfunction
- Tangent
- Tapemeasure
- Text
- Ticks
- Tracecurve
- Transformation
- Turtle
- Vectorfield
- Vectorfield3D
- View3D

# Namespace JXG.GeonextParser

↳ JXG.GeonextParser

Defined in: geonext.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| JXG.GeonextParser Parser helper routines.

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | JXG.GeonextParser.findDependencies(me, term, board) Finds dependencies in a given term and resolves them by adding the dependent object to the found objects child elements.
<static> | JXG.GeonextParser.geonext2JS(term, board) Converts the given algebraic expression in GEONExT syntax into an equivalent expression in JavaScript syntax.
<static> | JXG.GeonextParser.gxt2jc(term, board) Converts the given algebraic expression in GEONExT syntax into an equivalent expression in JessieCode syntax.
<static> | JXG.GeonextParser.replaceIdByObj(term) Replaces element ids in terms by element this.board.objects['id'].
<static> | JXG.GeonextParser.replaceIf(te) Converts expression of the form If(a,b,c) into (a)?(b):(c)/i>.
<static> | JXG.GeonextParser.replaceNameById(term, board, jc) Replace an element's name in terms by an element's id.
<static> | JXG.GeonextParser.replacePow(te) Converts expression of the form leftop^rightop into Math.pow(leftop,rightop).

Namespace Detail
JXG.GeonextParser
Parser helper routines. The methods in here are for parsing expressions in Geonext Syntax.
Method Detail
<static> JXG.GeonextParser.findDependencies(me, term, board)
Finds dependencies in a given term and resolves them by adding the dependent object to the found objects child elements.

Parameters:
{JXG.GeometryElement} me
  Object depending on objects in given term.
{String} term
  String containing dependencies for the given object.
{JXG.Board} board Optional, Default: me.board
  Reference to a board

<static> {String} JXG.GeonextParser.geonext2JS(term, board)
Converts the given algebraic expression in GEONExT syntax into an equivalent expression in JavaScript syntax.

Parameters:
{String} term
  Expression in GEONExT syntax
{JXG.Board} board

Returns:
  {String} Given expression translated to JavaScript.

<static> {String} JXG.GeonextParser.gxt2jc(term, board)
Converts the given algebraic expression in GEONExT syntax into an equivalent expression in JessieCode syntax.

Parameters:
{String} term
  Expression in GEONExT syntax
{JXG.Board} board

Returns:
  {String} Given expression translated to JavaScript.

<static> {String} JXG.GeonextParser.replaceIdByObj(term)
Replaces element ids in terms by element this.board.objects['id'].

Parameters:
{String} term
  A GEONExT function string with JSXGraph ids in it.

Returns:
  {String} The input string with element ids replaced by this.board.objects["id"].

<static> {String} JXG.GeonextParser.replaceIf(te)
Converts expression of the form If(a,b,c) into (a)?(b):(c)/i>.

Parameters:
{String} te
  Expression of the form If(a,b,c)

Returns:
  {String} Converted expression.

<static> {String} JXG.GeonextParser.replaceNameById(term, board, jc)
Replace an element's name in terms by an element's id.

Parameters:
{String} term
  Term containing names of elements.
{JXG.Board} board
  Reference to the board the elements are on.
{Boolean} jc Optional, Default: false
  If true, all id's will be surrounded by `$('` and `')`.

Returns:
  {String} The same string with names replaced by ids.

<static> {String} JXG.GeonextParser.replacePow(te)
Converts expression of the form leftop^rightop into Math.pow(leftop,rightop).

Parameters:
{String} te
  Expression of the form leftop^rightop

Returns:
  {String} Converted expression.

Documentation generated by JsDoc Toolkit 2.4.0 on Thu Feb 15 2024 17:48:02 GMT+0000 (Coordinated Universal Time)